[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Themes' (#lcl)

# TThemesImageDrawEvent

Specifies an event handler signalled to draw an image in an image list to a Canvas instance.

## Declaration

Source position: themes.pas line 522

`type TThemesImageDrawEvent = procedure(`
`AImageList: TPersistent;`
`ACanvas: TPersistent;`
`AX: Integer;`
`AY: Integer;`
`AIndex: Integer;`
`ADrawEffect: TGraphicsDrawEffect;`
`AImageWidth: Integer;`
`ARefControl: TPersistent`
`);`

## Arguments

`AImageList` |  | Image list with the image drawn in the event handler.
`ACanvas` |  | TCanvas instance where the image is drawn.
`AX` |  | Horizontal canvas coordinate where the image is drawn.
`AY` |  | Vertical canvas coordinate where the image is drawn.
`AIndex` |  | Ordinal position in the image list for the image drawn in the event handler.
`ADrawEffect` |  | Drawing effect applied to the image.
`AImageWidth` |  | Width for the rendered image.
`ARefControl` |  | Reference to the control with the Canvas updated in the event handler.

## Description

TThemesImageDrawEvent is the type used for the ThemesImageDrawEvent variable in the unit.